Index: fedd/wsdl/fedd_types.xsd
===================================================================
--- fedd/wsdl/fedd_types.xsd	(revision 7a1918e0cf9354970c98841ea4605f9cfb89fa4d)
+++ fedd/wsdl/fedd_types.xsd	(revision bd3e31499bf4d342966b77d67e2c9eb6b92eea74)
@@ -52,4 +52,18 @@
       <xsd:enumeration value="max"/>
       <xsd:enumeration value="average"/>
+    </xsd:restriction>
+  </xsd:simpleType>
+
+  <xsd:simpleType name="statusType">
+    <xsd:annotation>
+      <xsd:documentation>
+	The current state of the experiment.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:restriction base="xsd:string">
+      <xsd:enumeration value="active"/>
+      <xsd:enumeration value="starting"/>
+      <xsd:enumeration value="terminating"/>
+      <xsd:enumeration value="failed"/>
     </xsd:restriction>
   </xsd:simpleType>
@@ -440,23 +454,12 @@
     <xsd:annotation>
       <xsd:documentation>
-	The reply to a successful creation request.  Includes the
-	information about federants hosting sub-experiments for service
-	access as well as virtual topology and visualization
-	information.  All that information is relative to the requester.
-	ExperimentAccess includes credentials with which one can access
-	the experiment.  These may include a public key necessary to
-	prove possession of the credential and should be treated with
-	care.
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="federant" type="tns:federatedExperimentType" 
-        minOccurs="1" maxOccurs="unbounded"/>
-      <xsd:element name="vtopo" type="tns:vtopoType" minOccurs="0"
-	maxOccurs="1"/>
-      <xsd:element name="vis" type="tns:visType" minOccurs="0"
-	maxOccurs="1"/>
+	Returned to let the caller know that the request is underway and what
+	credentials will eventauly be able to be used to access them.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
       <xsd:element name="experimentID" type="tns:IDType" minOccurs="1"
 	maxOccurs="unbounded"/>
+      <xsd:element name="experimentStatus" type="tns:statusType"/>
       <xsd:element name="experimentAccess" type="tns:accessType" minOccurs="0"
 	maxOccurs="1"/>
@@ -523,5 +526,6 @@
 	A combined topology, visualalization, and federant request.
 	Different information may be returned based on the user's rights
-	to see the topology.  </xsd:documentation>
+	to see the topology.
+      </xsd:documentation>
     </xsd:annotation>
     <xsd:sequence>
@@ -533,12 +537,17 @@
     <xsd:annotation>
       <xsd:documentation>
-	Information on an instantiated experiment.  A createResponse
-	without the secret information.  Different information may be
-	returned based on the user's rights to see the topology.
+	Information on an instantiated experiment.  Different information may
+	be returned based on the user's rights to see the topology.  Includes
+	the information about federants hosting sub-experiments for service
+	access as well as virtual topology and visualization information.  All
+	that information is relative to the requester.  ExperimentAccess
+	includes credentials with which one can access the experiment.  These
+	may include a public key necessary to prove possession of the
+	credential and should be treated with care.
       </xsd:documentation>
     </xsd:annotation>
     <xsd:sequence>
       <xsd:element name="federant" type="tns:federatedExperimentType" 
-        minOccurs="1" maxOccurs="unbounded"/>
+        minOccurs="0" maxOccurs="unbounded"/>
       <xsd:element name="vtopo" type="tns:vtopoType" minOccurs="0"
 	maxOccurs="1"/>
@@ -547,4 +556,9 @@
       <xsd:element name="experimentID" type="tns:IDType" minOccurs="1"
 	maxOccurs="unbounded"/>
+      <xsd:element name="allocationLog" type="xsd:string" minOccurs="0" 
+	maxOccurs="1"/>
+      <xsd:element name="experimentStatus" type="tns:statusType"/>
+      <xsd:element name="experimentAccess" type="tns:accessType" minOccurs="0"
+	maxOccurs="1"/>
     </xsd:sequence>
   </xsd:complexType>
